mplist_add(3m17n)

NAME
mplist_add - Add a property at the end of a property list.

SYNOPSIS
MPlist* mplist_add (MPlist * plist, MSymbol key, void * val)

DESCRIPTION
Add a property at the end of a property list.

The mplist_add() function appends at the end of property list plist a property whose key is key and value is val. key can be any symbol other than Mnil.

If key is a managing key, val must be a managed object. In this case, the reference count of val is incremented by one.

RETURN VALUE

    If the operation was successful, mplist_add() returns a sublist of plist whose first element is the just added one. Otherwise, it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.